<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_db7b295629faa16027a" . "2c263095eba70" => base64_decode("cGhwX3NhcGlfb" . "mFtZQ=="), "_2b2486424e" . "6dfb906c925" . "739c329be7c" => base64_decode("aGVhZGV" . "y"), "_781e2532c" . "1e56969c53" . "5c1184064b" . "ae6" => base64_decode("b25Db3JlQm9v" . "dA=="), "_8ec8f26c742278f90615f50d68" . "2eea79" => base64_decode("UE9TV" . "A=="), "_eea266d1da5" . "08f42deea49c" . "c3add68ec" => base64_decode("UF" . "VU"), "_e6d18c493faa20d" . "5d45c0751d2c02ce" . "6" => base64_decode("TG9jYXRpb246IA=" . "="), "_e06da3ff" . "ba2e84b8e" . "6f94bd2d6" . "ca3c52" => base64_decode("Y3JlYXRlX2lud" . "GVybmFsX2xpbm" . "s="), "_4d707fab93bebb00bbe69e" . "8159697c90" => base64_decode(""), "_87daa84e346f6420a3f34" . "26e05d16a7b" => base64_decode("Lw" . "=="), "_8fec21706bd243b37ecf" . "62b1caf8fb8a" => base64_decode("Y2" . "xp"), "_14feb73099827a30c31c0b996c13" . "f13c" => base64_decode("b25LZXJuZWxS" . "ZXF1ZXN0"), "_bd8510ebf29b0f687c25c90c7407" . "15d8" => base64_decode("aHR0cF9yZXNwb" . "25zZV9jb2Rl"), "_fad3a97fa7919b1999" . "c977c8bdad925a" => base64_decode("c3ltZm9ueV" . "9yZXF1ZXN0"), "_ab8b6a5b" . "56b4cfd73" . "230ed5cad" . "4fb54c" => base64_decode("Y29yZS5ib290" . "ZWQ="), "_c91b0ff1" . "9f81a8873" . "a4593a237" . "19472c" => base64_decode("cnR" . "yaW" . "0="));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_c91b0ff19f81a8873a4593a" . "23719472c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_87daa84e346f6420a3f3426e05d16" . "a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_14feb7309" . "9827a30c31" . "c0b996c13f" . "13c"], 1536), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_ab8b6a5b56b4cfd73230e" . "d5cad4fb54c"] => $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_781e2532c1e56969c535c11" . "84064bae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00b" . "be69e8159697c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_8ec8f26c742278f90615f50d68" . "2eea79"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_eea266d1da508f42deea49cc3ad" . "d68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_db7b295629fa" . "a16027a2c2630" . "95eba70"]() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_8fec21706bd243b37ecf6" . "2b1caf8fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_fad3a97" . "fa7919b1" . "999c977c" . "8bdad925" . "a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_e06da3ffba2e84b8e6f94bd2d6ca3" . "c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_4d707fab93beb" . "b00bbe69e81596" . "97c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_bd8510ebf29b0f687c25c90c" . "740715d8"](301);
            $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_2b2486424e6dfb906c925739c329" . "be7c"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e6d18c493faa" . "20d5d45c0751d" . "2c02ce6"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_e06da3ffba2e84b8e6f94bd2d6c" . "a3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}